/* Globales -------------------------------------------------- */
html {
  background-color: #000;
  color: #cacaca;
  font-family: "Chakra Petch", sans-serif;
  font-size: calc(1em + 1vw);
}
* {
  text-align: justify;
  margin: 0;
  padding: 0;
}
li {
  list-style: none;
}
a {
  text-decoration: none;
  color: #cacaca;
  font-weight: 600;
}
/* nav-bar */
.bar-nav {
  display: flex;
  margin-top: 30px;
  margin-left: 30px;
}
.bar-nav a {
  margin: 2px;
  padding: 15px;
}
/* projects section ---------------------------------------------------------------*/
.projects {
  margin-top: 100px;
}
h2 {
  font-size: 2.5em;
  margin-left: 40px;
}
p {
  font-weight: 600;
}
.description-container {
  display: flex;
  width: 80vw;
  margin-left: 40px;
  margin-right: 40px;
  margin-top: 30px;
  font-weight: 600;
}
.image-section {
  display: flex;
  justify-content: center;
}
/* styles gallery */
.container {
  position: relative;
  width: 80vw;
  margin-top: 40px;
  margin-bottom: 80px;
  display: flex;
  justify-content: center;
}
.image {
  display: block;
  max-width: 100%;
  width: 80vw;
  height: auto;
}

.overlay {
  display: block;
  position: absolute;
  top: 0;
  bottom: 0;
  height: 100%;
  width: 80vw;
  opacity: 0;
  transition: 0.5s ease;
  background-color: rgba(0, 0, 0, 0.7);
}

.container:hover .overlay {
  opacity: 1;
}

.icon {
  color: white;
  font-size: 20px;
  position: absolute;
  top: 50%;
  left: 50%;
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  text-align: center;
}